### Class

# Pos Wayland

#### Description [src]

    final class Pos.Wayland : GObject.Object
    {
      /* No available fields */
    }

A wayland registry listener

The `PosWayland` singleton is responsible for listening to wayland registry events registering the objects that show up there to make them available to Pos’s other classes.

#### Ancestors

- GObject

#### Functions

###### pos_wayland_get_default

Get the Wayland singleton for handling Wayland protocol interactions.

#### Instance methods

###### pos_wayland_get_ext_data_control_manager_v1

No description available.

###### pos_wayland_get_n_outputs

Get the current number of outputs.

###### pos_wayland_get_outputs

Get the currently known outputs.

###### pos_wayland_get_wl_display

No description available.

###### pos_wayland_get_wl_seat

No description available.

###### pos_wayland_get_zphoc_device_state_v1

No description available.

###### pos_wayland_get_zwlr_foreign_toplevel_manager_v1

No description available.

###### pos_wayland_get_zwlr_layer_shell_v1

No description available.

###### pos_wayland_get_zwp_input_method_manager_v2

No description available.

###### pos_wayland_get_zwp_virtual_keyboard_manager_v1

No description available.

###### pos_wayland_get_zxdg_output_manager_v1

No description available.

###### pos_wayland_has_wl_protcols

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.Wayland:outputs

No description available.

#### Signals

###### Pos.Wayland::ready

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PosWaylandClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.